## NMVpnPluginOld

NMVpnPluginOld

## Functions

GDBusConnection * | nm_vpn_plugin_old_get_connection ()
NMVpnServiceState | nm_vpn_plugin_old_get_state ()
void | nm_vpn_plugin_old_set_state ()
void | nm_vpn_plugin_old_secrets_required ()
void | nm_vpn_plugin_old_set_login_banner ()
void | nm_vpn_plugin_old_failure ()
void | nm_vpn_plugin_old_set_ip4_config ()
gboolean | nm_vpn_plugin_old_disconnect ()
gboolean | nm_vpn_plugin_old_read_vpn_details ()
gboolean | nm_vpn_plugin_old_get_secret_flags ()

## Properties

char * | service-name | Read / Write / Construct Only
NMVpnServiceState | state | Read / Write

## Signals

void | config | Run First
void | failure | Run First
void | ip4-config | Run First
void | ip6-config | Run First
void | login-banner | Run First
void | quit | Run First
void | secrets-required | Run First
void | state-changed | Run First

## Types and Values

#define | NM_VPN_PLUGIN_OLD_DBUS_SERVICE_NAME
#define | NM_VPN_PLUGIN_OLD_STATE
| NMVpnPluginOld

## Object Hierarchy

        GObject
        ╰── NMVpnPluginOld

## Implemented Interfaces

NMVpnPluginOld implements GInitable.

## Description

## Functions

### nm_vpn_plugin_old_get_connection ()

    GDBusConnection *
    nm_vpn_plugin_old_get_connection (NMVpnPluginOld *plugin);

`nm_vpn_plugin_old_get_connection` has been deprecated since version 1.2 and should not be used in newly-written code.

Replaced by NMVpnServicePlugin.

#### Returns

.

[transfer full]

### nm_vpn_plugin_old_get_state ()

    NMVpnServiceState
    nm_vpn_plugin_old_get_state (NMVpnPluginOld *plugin);

`nm_vpn_plugin_old_get_state` has been deprecated since version 1.2 and should not be used in newly-written code.

Replaced by NMVpnServicePlugin.

### nm_vpn_plugin_old_set_state ()

    void
    nm_vpn_plugin_old_set_state (NMVpnPluginOld *plugin,
                                 NMVpnServiceState state);

`nm_vpn_plugin_old_set_state` has been deprecated since version 1.2 and should not be used in newly-written code.

Replaced by NMVpnServicePlugin.

### nm_vpn_plugin_old_secrets_required ()

    void
    nm_vpn_plugin_old_secrets_required (NMVpnPluginOld *plugin,
                                        const char *message,
                                        const char **hints);

`nm_vpn_plugin_old_secrets_required` has been deprecated since version 1.2 and should not be used in newly-written code.

Replaced by NMVpnServicePlugin.

Called by VPN plugin implementations to signal to NetworkManager that secrets are required during the connection process. This signal may be used to request new secrets when the secrets originally provided by NetworkManager are insufficient, or the VPN process indicates that it needs additional information to complete the request.

#### Parameters

plugin | the NMVpnPluginOld |
message | an information message about why secrets are required, if any |
hints | VPN specific secret names for required new secrets |

### nm_vpn_plugin_old_set_login_banner ()

    void
    nm_vpn_plugin_old_set_login_banner (NMVpnPluginOld *plugin,
                                        const char *banner);

`nm_vpn_plugin_old_set_login_banner` has been deprecated since version 1.2 and should not be used in newly-written code.

Replaced by NMVpnServicePlugin.

### nm_vpn_plugin_old_failure ()

    void
    nm_vpn_plugin_old_failure (NMVpnPluginOld *plugin,
                               NMVpnPluginFailure reason);

`nm_vpn_plugin_old_failure` has been deprecated since version 1.2 and should not be used in newly-written code.

Replaced by NMVpnServicePlugin.

### nm_vpn_plugin_old_set_ip4_config ()

    void
    nm_vpn_plugin_old_set_ip4_config (NMVpnPluginOld *plugin,
                                      GVariant *ip4_config);

`nm_vpn_plugin_old_set_ip4_config` has been deprecated since version 1.2 and should not be used in newly-written code.

Replaced by NMVpnServicePlugin.

### nm_vpn_plugin_old_disconnect ()

    gboolean
    nm_vpn_plugin_old_disconnect (NMVpnPluginOld *plugin,
                                  GError **err);

`nm_vpn_plugin_old_disconnect` has been deprecated since version 1.2 and should not be used in newly-written code.

Replaced by NMVpnServicePlugin.

### nm_vpn_plugin_old_read_vpn_details ()

    gboolean
    nm_vpn_plugin_old_read_vpn_details (int fd,
                                        GHashTable **out_data,
                                        GHashTable **out_secrets);

`nm_vpn_plugin_old_read_vpn_details` has been deprecated since version 1.2 and should not be used in newly-written code.

Replaced by NMVpnServicePlugin.

Parses key/value pairs from a file descriptor (normally stdin) passed by an applet when the applet calls the authentication dialog of the VPN plugin.

#### Parameters

fd | file descriptor to read from, usually stdin (0) |
out_data | on successful return, a hash table (mapping char*:char*) containing the key/value pairs of VPN data items. | [out][transfer full]
out_secrets | on successful return, a hash table (mapping char*:char*) containing the key/value pairsof VPN secrets. | [out][transfer full]

#### Returns

`TRUE` if reading values was successful, `FALSE` if not

### nm_vpn_plugin_old_get_secret_flags ()

    gboolean
    nm_vpn_plugin_old_get_secret_flags (GHashTable *data,
                                        const char *secret_name,
                                        NMSettingSecretFlags *out_flags);

`nm_vpn_plugin_old_get_secret_flags` has been deprecated since version 1.2 and should not be used in newly-written code.

Replaced by NMVpnServicePlugin.

Given a VPN secret key name, attempts to find the corresponding flags data item in `data` . If found, converts the flags data item to NMSettingSecretFlags and returns it.

#### Parameters

data | hash table containing VPN key/value pair data items |
secret_name | VPN secret key name for which to retrieve flags for |
out_flags | on success, the flags associated with `secret_name` . | [out]

#### Returns

`TRUE` if the flag data item was found and successfully converted to flags, `FALSE` if not

## Types and Values

### NM_VPN_PLUGIN_OLD_DBUS_SERVICE_NAME

    #define NM_VPN_PLUGIN_OLD_DBUS_SERVICE_NAME "service-name"

### NM_VPN_PLUGIN_OLD_STATE

    #define NM_VPN_PLUGIN_OLD_STATE             "state"

### NMVpnPluginOld

    typedef struct _NMVpnPluginOld NMVpnPluginOld;

## Property Details

### The `“service-name”` property

      “service-name”             char *

The D-Bus service name of this plugin.

`NMVpnPluginOld:service-name` has been deprecated since version 1.2 and should not be used in newly-written code.

Replaced by NMVpnServicePlugin.

Owner: NMVpnPluginOld

Flags: Read / Write / Construct Only

Default value: NULL

### The `“state”` property

      “state”                    NMVpnServiceState

The state of the plugin.

`NMVpnPluginOld:state` has been deprecated since version 1.2 and should not be used in newly-written code.

Replaced by NMVpnServicePlugin.

Owner: NMVpnPluginOld

Flags: Read / Write

Default value: NM_VPN_SERVICE_STATE_INIT

## Signal Details

### The `“config”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   GVariant       *arg1,
                   gpointer        user_data)

Flags: Run First

### The `“failure”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   guint           arg1,
                   gpointer        user_data)

Flags: Run First

### The `“ip4-config”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   GVariant       *arg1,
                   gpointer        user_data)

Flags: Run First

### The `“ip6-config”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   GVariant       *arg1,
                   gpointer        user_data)

Flags: Run First

### The `“login-banner”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   char           *arg1,
                   gpointer        user_data)

Flags: Run First

### The `“quit”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   gpointer        user_data)

Flags: Run First

### The `“secrets-required”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   char           *arg1,
                   GStrv           arg2,
                   gpointer        user_data)

Flags: Run First

### The `“state-changed”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   guint           arg1,
                   gpointer        user_data)

Flags: Run First